subroutine isgnoa(orbi,yx,yy,yz,isgn)
IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
character(4) orbi
yw=.false.
isgn=1
if(yw)print*,'isgnoa',orbi,yx,yy,yz
if(yx) then
   if(orbi=='2PX ') isgn=-isgn
   if(orbi(3:4)=='1+') isgn=-isgn
   if(orbi(3:4)=='3+') isgn=-isgn
   if(orbi(3:4)=='5+') isgn=-isgn
   if(orbi(3:4)=='7+') isgn=-isgn
   if(orbi(3:4)=='2-') isgn=-isgn
   if(orbi(3:4)=='4-') isgn=-isgn
   if(orbi(3:4)=='6-') isgn=-isgn
endif
if(yy) then
   if(orbi=='2PY ') isgn=-isgn
   if(orbi(4:4)=='-') isgn=-isgn
endif
if(yz) then
   if(orbi=='2PZ ') isgn=-isgn
   if(orbi=='3D1+') isgn=-isgn
   if(orbi=='3D1-') isgn=-isgn
   if(orbi=='4F2+') isgn=-isgn
   if(orbi=='4F0 ') isgn=-isgn
   if(orbi=='4F2-') isgn=-isgn
   if(orbi=='5G3+') isgn=-isgn
   if(orbi=='5G1+') isgn=-isgn
   if(orbi=='5G1-') isgn=-isgn
   if(orbi=='5G3-') isgn=-isgn
   if(orbi=='6H4+') isgn=-isgn
   if(orbi=='6H2+') isgn=-isgn
   if(orbi=='6H0 ') isgn=-isgn
   if(orbi=='6H2-') isgn=-isgn
   if(orbi=='6H4-') isgn=-isgn
   if(orbi=='7I5+') isgn=-isgn
   if(orbi=='7I3+') isgn=-isgn
   if(orbi=='7I1+') isgn=-isgn
   if(orbi=='7I1-') isgn=-isgn
   if(orbi=='7I3-') isgn=-isgn
   if(orbi=='7I5-') isgn=-isgn
endif
return
end

